import type { NileDetail } from './nile-detail';
export declare function animateShow(component: NileDetail): Promise<void>;
export declare function animateHide(component: NileDetail): Promise<void>;
export declare function showDetail(component: NileDetail): Promise<unknown>;
export declare function hideDetail(component: NileDetail): Promise<unknown>;
export declare function handleSummaryClick(component: NileDetail): void;
export declare function handleSummaryKeyDown(event: KeyboardEvent, component: NileDetail): void;
export declare function registerDefaultAnimations(): void;
